Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.fibheap
Interface FibHeapSubOperations

All Known Implementing Classes:
  BinQueue, FibHeapDSExt, FibHeapExt

    public interface FibHeapSubOperations

Interface for the suboperations on Fibonacci-Heaps.

Author:
  Markus Krebs

Method Summary
`void` | `clearSubOperationQueue()` Clears the SubOperationQueue of an Operation (e.g.
`void` | `cutOp(int node)` CUT
`SubOperationQueue` | `getSubOperationQueue()` Gets the SubOperationQueue of an Operation
`void` | `linkOp(int node1, int node2)` LINK
`void` | `markOp(int node)` MARK
`void` | `newFHeapMeldOp(int node)` NEWFHEAPMELD
`void` | `removeOp(int node)` REMOVE
`void` | `setKeyOp(int node, int key)` SETKEY
`void` | `unmarkOp(int node)` UNMARK
`void` | `updateMinOp(int node)` UPDATEMIN

Method Detail

### setKeyOp

    void setKeyOp(int node,
                  int key)

  SETKEY

  Parameters:
    `node` - old-value
    `key` - new-value

### cutOp

    void cutOp(int node)

  CUT

  Parameters:
    `node` - key of node to cut

### markOp

    void markOp(int node)

  MARK

  Parameters:
    `node` - key of node to mark

### unmarkOp

    void unmarkOp(int node)

  UNMARK

  Parameters:
    `node` - key of node to unmark

### newFHeapMeldOp

    void newFHeapMeldOp(int node)

  NEWFHEAPMELD

  Parameters:
    `node` - key of node to insert

### linkOp

    void linkOp(int node1,
                int node2)

  LINK

  Parameters:
    `node1` - key of node
    `node2` - key of node that should linked to the first node

### updateMinOp

    void updateMinOp(int node)

  UPDATEMIN

  Parameters:
    `node` - key of new minimum

### removeOp

    void removeOp(int node)

  REMOVE

  Parameters:
    `node` - key of node to remove

### clearSubOperationQueue

    void clearSubOperationQueue()

  Clears the SubOperationQueue of an Operation (e.g. INSERT)

### getSubOperationQueue

    SubOperationQueue getSubOperationQueue()

  Gets the SubOperationQueue of an Operation

  Returns:
    suboperations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD